summaryrefslogtreecommitdiffstats
path: root/redhat/build
diff options
context:
space:
mode:
Diffstat (limited to 'redhat/build')
-rwxr-xr-xredhat/build/build_rpm_package.sh7
-rwxr-xr-xredhat/build/get_rpm_package_name.sh2
2 files changed, 8 insertions, 1 deletions
diff --git a/redhat/build/build_rpm_package.sh b/redhat/build/build_rpm_package.sh
index 2071ab445..f5242c9c5 100755
--- a/redhat/build/build_rpm_package.sh
+++ b/redhat/build/build_rpm_package.sh
@@ -60,6 +60,13 @@ if [ -r "${TEMPDIR}/one.patch" ]; then
-e "/%setup/ s/$/\n%patch389 -p1/"
fi
+# 3. PCLinuxOS hack ...
+if [ -r "/etc/pclinuxos-release" ]; then
+ sed -i "${TEMPDIR}/${SPECFILE##*/}" \
+ -e "/admin\/Makefile.common/ s|$| \|\| autoreconf -i \&\& make -f admin/Makefile.common|" \
+ || exit 1
+fi
+
[ -d "${BUILDDIR}" ] || mkdir -p "${BUILDDIR}"
RPMDIR="$(rpm -E %{_rpmdir}.tde-${TDE_VERSION})"
diff --git a/redhat/build/get_rpm_package_name.sh b/redhat/build/get_rpm_package_name.sh
index 0d8693d2f..3f60d852f 100755
--- a/redhat/build/get_rpm_package_name.sh
+++ b/redhat/build/get_rpm_package_name.sh
@@ -26,7 +26,7 @@ case "${PKGNAME}" in
# 3rd party dependencies
"esound"|"fileshareset"|"hk_classes"|"python-qt3") PREFIX="";;
# Extra build stuff
- "autoconf"|"automake"|"cmake"|"gnuchess"|"htdig"|"imlib1"|"libconfig"|"libotr3"|"libtool"|"lilypond"|"m4"|"mftrace"|"pan"|"pcsc-perl"|"torsocks"|"wv2") PREFIX="";;
+ "autoconf"|"automake"|"cmake"|"gnuchess"|"htdig"|"imlib1"|"libconfig"|"libotr3"|"libtool2"|"lilypond"|"m4"|"mftrace"|"pan"|"pcsc-perl"|"torsocks"|"wv2") PREFIX="";;
# Other
"curl") PREFIX="trinity-lib";;
# Default case: add prefix